MindWrtParserInternal::State Struct Reference

Internal: the state of a MindWrtParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character
int | m_numLinesByZone [3]
| the number of paragraph by zones ( main, header, footer )
ZoneInfo | m_zones [3]
| the zones
std::multimap< std::string, MWAWEntry > | m_entryMap
| the zones map
ListProperties | m_listProperties
| the list properties
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
std::vector< Field > | m_headerFieldList
std::vector< Field > | m_footerFieldList
| the footer field list

## Detailed Description

Internal: the state of a MindWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

MindWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MindWrtParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_compressCorr

std::string MindWrtParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

Referenced by State().

## ◆ m_entryMap

std::multimap<std::string, MWAWEntry> MindWrtParserInternal::State::m_entryMap

the zones map

Referenced by State().

## ◆ m_footerFieldList

std::vector<Field> MindWrtParserInternal::State::m_footerFieldList

the footer field list

Referenced by State().

## ◆ m_headerFieldList

std::vector<Field> MindWrtParserInternal::State::m_headerFieldList

the actual list id the header field list

Referenced by State().

## ◆ m_listProperties

ListProperties MindWrtParserInternal::State::m_listProperties

the list properties

Referenced by State().

## ◆ m_numLinesByZone

int MindWrtParserInternal::State::m_numLinesByZone[3]

the number of paragraph by zones ( main, header, footer )

Referenced by State().

## ◆ m_numPages

int MindWrtParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_zones

ZoneInfo MindWrtParserInternal::State::m_zones[3]

the zones

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx